stages:
  - test
  - build
before_script:
  - chmod +x mvnw
build:
  stage: build
  script: ./mvnw -B install -Dskip-Tests
  image: openjdk:8-jdk-slim
unit:
  stage: test
  script: ./mvnw -B test
  image: openjdk:8-jdk-slim
e2e tests:
  stage: test
  script: ./mvnw -B test -Dtests.tags="e2e"
  image: openjdk:8-jdk-slim